=== added file 'database/schema/patch-2208-99-0.sql'
--- database/schema/patch-2208-99-0.sql	1970-01-01 00:00:00 +0000
+++ database/schema/patch-2208-99-0.sql	2011-05-09 11:33:18 +0000
@@ -0,0 +1,15 @@
+-- Copyright 2011 Canonical Ltd.  This software is licensed under the
+-- GNU Affero General Public License version 3 (see the file LICENSE).
+
+SET client_min_messages=ERROR;
+
+-- In DistroSeriesDifference, the constraint UNIQUE (derived_series, source_package_name) 
+-- should be UNIQUE (derived_series, parent_series, source_package_name).
+ALTER TABLE DistroSeriesDifference
+    DROP CONSTRAINT "distroseriesdifference__derived_series__source_package_name__key";
+
+ALTER TABLE DistroSeriesDifference
+    ADD CONSTRAINT distroseriesdifference__derived_series__parent_series__source_package_name__key
+        UNIQUE (derived_series, parent_series, source_package_name);
+
+INSERT INTO LaunchpadDatabaseRevision VALUES (2208, 99, 0);

